#ifndef _COL_H_
#define _COL_H_
#include "CPlayer.h"

/*
0x00172274	COL_CheckPlayerGoalCollision
0x00171e98	COL_PlayerBallCollideEvent
0x00171878	COL_PlayerBallCollision
0x001723ec	COL_PlayerBallCollisions
0x00172ea0	COL_PlayerCollisions
0x00172654	COL_PlayerPlayerCollisions
0x00172348	COL_PlayerPostCollisions
*/

void COL_PlayerCollisions();                                              // 00172ea0
void COL_PlayerBallCollideEvent(CPlayer *pPlayer_0, int i_1, bool &b_2);  // 00171E98
uint COL_PlayerBallCollision(CPlayer *player_0);                          // 00171878
void COL_PlayerCollisions();                                              // 00171E98
void COL_PlayerPlayerCollisions(void);                                    // 00172654

#endif  //_COL_H_